#${RUNAS}

export USER="root"
export R_LIBS=$INSTALL_FOLDER$/rserve/R

if [ ! -e $INSTALL_FOLDER$/rserve/tmp ];
then
mkdir -p $INSTALL_FOLDER$/rserve/workdir/tmp
chmod 777 $INSTALL_FOLDER$/rserve/workdir/tmp
export TMPDIR=$INSTALL_FOLDER$/rserve/workdir/tmp
fi

start() {
      rm -rf $INSTALL_FOLDER$/rserve/workdir/Rserv9.2.1
      start-stop-daemon --start --quiet --user "rserve2" --chuid "rserve2" --exec /usr/bin/R -- CMD $INSTALL_FOLDER$/rserve/R/bin/Rserve --no-save --no-site-file --RS-conf $INSTALL_FOLDER$/rserve/Rserv.conf  > $INSTALL_FOLDER$/rserve/R/log 2>&1
}
stop() {
      pgrep -u "rserve2" | xargs kill -9
}

case "$1" in
start)
        start
;;

stop)
        stop
;;

restart)
        echo "stopping Rserve"
        stop
        sleep 2
        echo "starting Rserve"
        start
;;
esac

exit 0
